# Module `awful.widget.prompt`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou
- Release: v3.5.1

## Functions

run (promptbox) | Run method for promptbox.
widgetprompt.new (args) | Create a prompt widget which will launch a command.

## Functions

run (promptbox)
  Run method for promptbox.

  ### Parameters:

  - promptbox The promptbox to run.
widgetprompt.new (args)
  Create a prompt widget which will launch a command.

  ### Parameters:

  - args Arguments table. "prompt" is the prompt to use.

  ### Returns:

  A launcher widget.

generated by LDoc 1.3